SerialPortTimeoutException
Date: 2017-02-09

jssc

## Class SerialPortTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - jssc.SerialPortTimeoutException

- All Implemented Interfaces:
    java.io.Serializable

      public class SerialPortTimeoutException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialPortTimeoutException(java.lang.String portName, java.lang.String methodName, int timeoutValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMethodName()` Getting method name during execution of which the exception was called
    `java.lang.String` | `getPortName()` Getting port name during operation with which the exception was called
    `int` | `getTimeoutValue()` Getting timeout value in millisecond

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SerialPortTimeoutException

          public SerialPortTimeoutException(java.lang.String portName,
                                    java.lang.String methodName,
                                    int timeoutValue)

  - ### Method Detail

    - #### getPortName

          public java.lang.String getPortName()

      Getting port name during operation with which the exception was called

    - #### getMethodName

          public java.lang.String getMethodName()

      Getting method name during execution of which the exception was called

    - #### getTimeoutValue

          public int getTimeoutValue()

      Getting timeout value in millisecond